package queue

// 定义别名
type Queue []interface{}

//  push
func (q *Queue) Push(v interface{}) {
	*q = append(*q, v)
}

// pop
func (q *Queue) Pop() interface{} {
	head := (*q)[0]
	*q = (*q)[1:]
	return head
}

// is Empty
func (q *Queue) IsEmpty() bool {
	return len(*q) == 0
}
